// baseWindow.h
#ifndef BASEWINDOW_H
#define BASEWINDOW_H

#include <QMainWindow>
#include <QMessageBox>
#include <QCloseEvent>
#include "src/message/message_dialog.h"

class BaseWindow : public QMainWindow
{
    Q_OBJECT
public:
    // 构造函数声明
    explicit BaseWindow(QWidget *parent = nullptr);

protected:
    void closeEvent(QCloseEvent *e) override;
};

#endif // BASEWINDOW_H
